<%@ language="VBScript" %>
<html>
<head>
<title>EditLive! for XML</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link type="text/css" rel="stylesheet" href="stylesheet.css">
</head>
<body>
    <h1>EditLive! for XML</h1>
    <p>EditLive! for XML combines the style sheet and data structure generated in the Visual Designer to create an electronic form
    for authoring XML.  The style sheet from the Visual Designer is used to present the underlying XML document while the data structure
    is used to ensure the validity of the XML document.  This page also allows the content of EditLive! for XML to be submitted to the server
    for viewing.</p>

	<!--
	   ** First we need to include a link to the editlivexml.js file. This file contains all of the
	   ** code required to handle loading EditLive! for XML across multiple browers and platforms.
	-->
	<script src="../../../redistributables/editlivexml/editlivexml.js"></script>
    <form action="view.asp" method="POST">
	<script language="JavaScript">
	<!--
	   /**
	    ** This section of code creates the EditLive! for XML instance and sets all of the relevant
	    ** configuration information.
	   */

	   // Create a new EditLive! for XML instance with the name "elx", a height of 650 pixels and a width of 700 pixels.
	   var elx1 = new EditLiveXML("elx", 1000, 700);

	   // This sets a relative path to the directory where the EditLive! for XML redistributables can be found e.g. editlivexml.jar
	   elx1.setDownloadDirectory("../../../redistributables/editlivexml");

	   // This sets a relative or absolute path to the XML configuration file to use.
	   elx1.setConfigurationFile("elxconfig.xml");

	   // This sets a relative or absolute path to the schema (XSD) to use for XML validation.
	   elx1.addXSDAsText("<%= Server.URLEncode(Request.Form("VDApplet1_xsd").Item(1)) %>");

	   // This sets a relative or absolute path to the stylesheet (XSL) to use to display the XML content.
	   <%
	   Dim i
	   for i = 1 to Request.Form("VDApplet1_xslt").Count
		   Response.Write "elx1.addViewAsText(""" & Server.URLEncode(Request.Form("VDApplet1_viewName").Item(i)) & """, """ & Server.URLEncode(Request.Form("VDApplet1_xslt").Item(i)) & """);"
	   Next
	   %>


	   // .show is the final call and instructs the JavaScript library (editlivexml.js) to insert a new EditLive! for XML
	   //  at the this location.
	   elx1.show();

	-->
	</script>
    <p><input type="submit" value="View XML"> <input type="button" value="Form Type Selection" onclick="location.href='default.asp';"></p>
    </form>
</body>
</html>